<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
            xmlns="http://camitk.imag.fr/cepcoreschema"
            targetNamespace="http://camitk.imag.fr/cepcoreschema"
            elementFormDefault="qualified"
>
    <xsd:simpleType name="ClassName">
        <!-- A Class name should begin with an upper case letter and be followed
                by lower or upper case letters.
        -->
        <xsd:restriction base="xsd:string">
            <xsd:pattern value="[A-Z](([a-z])*|([A-Z])*)+"/>
        </xsd:restriction>  
    </xsd:simpleType>
</xsd:schema>